Mailrelay API Reference

Add a new event subscription

POST https://{account}/api/v1/event_subscriptions

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Add a new event subscription to receive notifications about events via webhook or email

Parameters

NameTypeRequiredDescription
name string Yes Name
delivery_method string Yes Delivery method
url string No URL
email string No Email
enabled boolean No Enabled
event_types array Yes Event types
http_headers object No Http headers

Responses

StatusDescription
201 Success
400 The request is invalid. Check if the field names in the request and the request data is valid.
422 A validation error occurred. Check the response body for more information.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
name string Name
delivery_method string Delivery method
url string URL
email string Email
enabled boolean Enabled
last_sent_at string Last sent at
event_types array Event types
http_headers object Http headers
created_at string Created at
updated_at string Updated at